
Redmine - Defect #4792

Version sharing - not available in "All Issues Report"

2010-02-10 17:53 - Anonymous

Status: Closed Start date: 2010-02-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.3   

Resolution: Fixed Affected version:  

Description

Shared "System" versions are not available in Filters on http://redmine/issues

It is therefore not possible to filter and sort.

They should be there.

Related issues:

Has duplicate Redmine - Feature #4559: Add a version filter to the global iss... Closed 2010-01-12

Associated revisions

Revision 3409 - 2010-02-10 22:42 - Jean-Philippe Lang

Adds filter for system shared versions on the cross project issue list (#4792).

History

#1 - 2010-02-10 22:33 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.3

- Resolution set to Fixed

Fixed in r3409.

#2 - 2010-02-10 23:39 - Anonymous

- File system_shared_versions_name.patch added

The r3409 is fine. However it creates version names, that contain the name of project you were creating the version in. This is fine in normal shared

versions, however "system" versions are not tiet to particular project. So the project you were in, should NOT be displayed. And there is no way to

create system version that is not tied to project.

The solution is in my opinion simple. system versions should not display project at all, just display "Global - <version_name>". I suggested this fix in 

#4728 as well.

Just remember - system versions are meant for whole redmine installation, so should not bear the project name, which is misleading.

Patch for format_version_name(version) attached.

For r3409 the patch will be changing line 215 in source:trunk/app/models/query.rb@3409#L215 like this:

- @available_filters["fixed_version_id"] = { :type => :list_optional, :order => 7, :values => system_shared_ve

rsions.sort.collect{|s| ["#{s.project.name} - #{s.name}", s.id.to_s] } }

+ @available_filters["fixed_version_id"] = { :type => :list_optional, :order => 7, :values => system_shared_ve

rsions.sort.collect{|s| ["Global - #{s.name}", s.id.to_s] } }

#3 - 2010-02-20 11:32 - Jean-Philippe Lang

- Status changed from Resolved to Closed

This is fine in normal shared versions, however "system" versions are not tiet to particular project.
https://www.redmine.org/projects/redmine/repository/svn/revisions/3409
https://www.redmine.org/projects/redmine/repository/svn/revisions/3409
https://www.redmine.org/issues/4728
https://www.redmine.org/projects/redmine/repository/svn/revisions/3409
https://www.redmine.org/projects/redmine/repository/svn/revisions/3409/entry/trunk/app/models/query.rb#L215


 System shared versions are tied to a project and you can share system versions from different projects.

So having the project name makes sense.

For your need, you can name your project with your system versions "Global" as a workaround.

Files

system_shared_versions_name.patch 549 Bytes 2010-02-10 Anonymous
